#if !defined(__RV_PATTERN_LOCATER_H_INCLUDED_)
#define      __RV_PATTERN_LOCATER_H_INCLUDED_


#include "PixelMatch.h"



class PATMAT_API CPatternLocater :	public CPixelMatch
{
public:

	CPatternLocater(void);
	virtual ~CPatternLocater(void);

	virtual BOOL    Learn(const RvImage image=NULL, int* pErrCode = NULL) ;
	virtual int     Recognize(const RvImage image=NULL, int* pErrCode = NULL);

	virtual BOOL Serialize(HANDLE device, BOOL bIn );
	virtual CUCObj* Clone(  CUCObj *twin) ;

	RvOffset_f GetOffset();
	RvPoint_f GetCenter(BOOL bAbsPos=FALSE);

	
//	RvImage GetPatternImage();
//	RvMask  GetPatternMask();	
	RvPoint_f GetPatternCenter();

private:
	RvOffset_f m_offset; 
	RvPoint_f m_centerAbs, m_center;
};




#endif //__RV_PATTERN_LOCATER_H_INCLUDED_